###################################################
### chunk number 1:  eval=FALSE
###################################################
## library(affycoretools)
## eset <- justRMA(cdfname = "hsfocushsentrezgcdf")


###################################################
### chunk number 2: 
###################################################
library(affycoretools)
load("exprSet2.Rdata")


###################################################
### chunk number 3: 
###################################################
library(limma)
design <- model.matrix(~ 0 + factor(rep(1:4, each = 3)))
colnames(design) <- LETTERS[1:4]
contrast <- makeContrasts(A-B, C-D, levels = design)
fit <- lmFit(eset, design)
fit2 <- contrasts.fit(fit, contrast)
fit2 <- eBayes(fit2)


###################################################
### chunk number 4:  eval=FALSE
###################################################
## limma2biomaRt(eset, fit2, design, contrast,
##               species = "hsapiens", pfilt = 0.05,
##               interactive = FALSE)


###################################################
### chunk number 5: 
###################################################
dt <- decideTests(fit2, method = "nestedF")
rslt <- vennCounts2(dt)


###################################################
### chunk number 6:  eval=FALSE
###################################################
## dt <- decideTests(fit2, method = "nestedF")
## rslt <- vennCounts2(dt)
## vennDiagram(rslt)


###################################################
### chunk number 7: 
###################################################
vennDiagram(rslt)


###################################################
### chunk number 8:  eval=FALSE
###################################################
## vennSelectBM(eset, design, dt,
##              contrast, fit2, species = "hsapiens")


###################################################
### chunk number 9: 
###################################################
library(biomaRt)
annBM()
mart <- useMart("ensembl",
                "hsapiens_gene_ensembl")
annBM(mart, species="hsapiens")
mart <- useMart("ensembl",
                "celegans_gene_ensembl")
annBM(mart, species="celegans")


